Package org.apache.sysds.runtime.instructions.spark

# Class AggregateUnarySPInstruction.RDDUTensorAggFunction2

java.lang.Object
org.apache.sysds.runtime.instructions.spark.AggregateUnarySPInstruction.RDDUTensorAggFunction2

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<scala.Tuple2<TensorIndexes,TensorBlock>,TensorBlock>`

Enclosing class:
  AggregateUnarySPInstruction

public static class AggregateUnarySPInstruction.RDDUTensorAggFunction2 extends Object implements org.apache.spark.api.java.function.Function<scala.Tuple2<TensorIndexes,TensorBlock>,TensorBlock>
Similar to RDDUAggFunction but single output block.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RDDUTensorAggFunction2(AggregateUnaryOperator op)`

## Method Summary

Modifier and Type
Method
Description
`TensorBlock`
`call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RDDUTensorAggFunction2

public RDDUTensorAggFunction2(AggregateUnaryOperator op)

## Method Details

### call

public TensorBlock call(scala.Tuple2<TensorIndexes,TensorBlock> arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<scala.Tuple2<TensorIndexes,TensorBlock>,TensorBlock>`
Throws:
  `Exception`